/*  ADC-Test mit LED und LCD-Ausgabe  */

#include <XMC1100-Lib.h>			// Hilfsfunktionen für XMC1100

uint16_t adc_wert; 					// Wert vom AD-Converter 16 Bit unsigned
int main(void)						// Hauptprogramm
{
  port_init(P0,OUTP);				// Port0 auf Ausgabe
  adc_init();						// Analog-Digital-Converter initialisieren
  lcd_init();						// LC-Display initialisieren
  while(1U)							// Endlosschleife, immer bei Controllern
  {
	  adc_wert = adc_in(0);			// Wert vom ADC
	  port_write(P0,adc_wert);  	// ADC-Wert an LEDs ausgeben
	  lcd_setcursor (2,3);			// 2. Zeile, 3. Spalte
	  lcd_print ("ADC:");
	  lcd_int(adc_wert);			// AD-Wert anzeigen
	  lcd_print ("dez");
	  delay_ms (200);		    	// ruhigere Anzeige
  }//while
}//main

